# SCIM2
- **OpenAPI Version:** `3.1.1`
- **API Version:** `1.0`
SCIM2 (System for Cross-domain Identity Management) is a specification designed to automate the provisioning of user and group identities across various cloud-based applications and services using SSO services and Identity Providers. The Zoom SCIM2 API provides support for user and group provisioning through the **User** and **Group** resources.
SCIM uses HTTP methods compatible with the REST architecture style. The payloads require schema definitions, attributes, and values for requests. With the SCIM API, you can use additional features such as attribute filters and search criteria.
While using the SCIM APIs, set the value of the Accept header as `application/scim+json`.
**Prerequisites**
- Zoom Owner or Admin privileges.
- Business or Education account with approved [Vanity URL](https://support.zoom.us/hc/en-us/articles/215062646-Guidelines-for-Vanity-URL-Requests).
- [Single Sign-On](https://support.zoom.us/hc/en-us/articles/201363003-Getting-Started-with-SSO) enabled.
## Authentication
The SCIM2 API supports OAuth authentication. To use Oauth 2.0, create an [OAuth app](https://developers.zoom.us/docs/integrations/create/) or a [server-to-server OAuth app](https://developers.zoom.us/docs/internal-apps/create/) on the Zoom App Marketplace and select `SCIM2` as the scope for your app. Next, [generate an OAuth token](https://developers.zoom.us/docs/integrations/oauth/) for your app and start making SCIM2 API calls.
## Servers
- **URL:** `https://api.zoom.us`
## Operations
### List groups
- **Method:** `GET`
- **Path:** `/scim2/Groups`
- **Tags:** Group
List all groups. Use additional query parameters to filter specific groups.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` \
Group information returned.
###### Content-Type: application/json
- **`itemsPerPage`**
`integer` — The number of records returned with a single API call.
- **`Resources`**
`array` — The group resource's information.
**Items:**
- **`displayName`**
`string` — A human-readable name for the group.
- **`id`**
`string` — The group's ID.
- **`meta`**
`object` — The group resource's metadata.
- **`created`**
`string` — The group's creation time.
- **`lastModified`**
`string` — The group's last modification time.
- **`location`**
`string` — The resource's URI in the \`https\://api.zoom.us/scim2/Groups/{groupId}\` format.
- **`resourceType`**
`string` — The resource type. The value is always \`Group\` for the Group resource type.
- **`version`**
`string` — The resource's version number.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`urn:ietf:params:scim:schemas:extension:zoom:2.0:Group`**
`object`
- **`emailAlias`**
`string` — The group's email address (optional).
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`startIndex`**
`integer` — The start index for the records.
- **`totalResults`**
`integer` — The total number of all records across pages.
**Example:**
```json
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 20,
"startIndex": 1,
"itemsPerPage": 10,
"Resources": [
{
"id": "kuWhUCrrT4q9Xy17rSR8js",
"meta": {
"resourceType": "Group",
"version": "1.0.0",
"location": "https://api.zoom.us/scim2/Groups/k&KdKr6TLWuxdDtk0hjSzL",
"created": "2023-11-24T05:13:15Z",
"lastModified": "2023-11-27T11:36:20Z"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group",
"urn:ietf:params:scim:schemas:extension:zoom:2.0:Group"
],
"displayName": "SCIM group",
"urn:ietf:params:scim:schemas:extension:zoom:2.0:Group": {
"emailAlias": "test@example.com"
}
}
]
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
The current filter does not support the filter name: {filter} \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "Group:Read". \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Create a group
- **Method:** `POST`
- **Path:** `/scim2/Groups`
- **Tags:** Group
Create a new group.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Request Body
##### Content-Type: application/json
- **`displayName`**
`string` — A human-readable name for the group.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`urn:ietf:params:scim:schemas:extension:zoom:2.0:Group`**
`object`
- **`emailAlias`**
`string` — The group's email address (optional).
**Example:**
```json
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "SCIM group",
"urn:ietf:params:scim:schemas:extension:zoom:2.0:Group": {
"emailAlias": "test@example.com"
}
}
```
#### Responses
##### Status: 201 \*\*HTTP Status Code:\*\* \`201\` \
Group created.
###### Content-Type: application/json
- **`displayName`**
`string` — A human-readable name for the group.
- **`id`**
`string` — The group's ID.
- **`meta`**
`object` — The group resource's metadata.
- **`created`**
`string` — The group's creation time.
- **`lastModified`**
`string` — The group's last modification time.
- **`location`**
`string` — The resource's URI in \`https\://api.zoom.us/scim2/Groups/{groupId}\` format.
- **`resourceType`**
`string` — The resource type. The value is always \`Group\` for the group resource type.
- **`version`**
`string` — The resource's version number.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`urn:ietf:params:scim:schemas:extension:zoom:2.0:Group`**
`object`
- **`emailAlias`**
`string` — The group's email address (optional).
**Example:**
```json
{
"id": "kuWhUCrrT4q9Xy17rSR8js",
"meta": {
"resourceType": "Group",
"version": "1.0.0",
"location": "https://api.zoom.us/scim2/Groups/k&KdKr6TLWuxdDtk0hjSzL",
"created": "2023-11-24T05:13:15Z",
"lastModified": "2023-11-24T05:13:15Z"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group",
"urn:ietf:params:scim:schemas:extension:zoom:2.0:Group"
],
"displayName": "SCIM Group",
"urn:ietf:params:scim:schemas:extension:zoom:2.0:Group": {
"emailAlias": "test@example.com"
}
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
The request body must be in JSON format. \
\*\*Error Code:\*\* \`400\` \
The request JSON must not be empty. \
\*\*Error Code:\*\* \`400\` \
The "DisplayName" of the request is invalid. \
\*\*Error Code:\*\* \`400\` \
Create group failed. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "Group:Edit". \
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict \*\*Error Code:\*\* \`409\` \
Group {groupName} exists. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Get a group
- **Method:** `GET`
- **Path:** `/scim2/Groups/{groupId}`
- **Tags:** Group
Get the specific group's information.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` \
Group object returned.
###### Content-Type: application/json
- **`displayName`**
`string` — A human-readable name for the group.
- **`id`**
`string` — The group's ID.
- **`meta`**
`object` — The group resource's metadata.
- **`created`**
`string` — The group's creation time.
- **`lastModified`**
`string` — The group's last modification time.
- **`location`**
`string` — The resource's URI in \`https\://api.zoom.us/scim2/Groups/{groupId}\` format.
- **`resourceType`**
`string` — The resource type. The value is always \`Group\` for the Group resource type.
- **`version`**
`string` — The resource's version number.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`urn:ietf:params:scim:schemas:extension:zoom:2.0:Group`**
`object`
- **`emailAlias`**
`string` — The group's email address (optional).
**Example:**
```json
{
"id": "kuWhUCrrT4q9Xy17rSR8js",
"meta": {
"resourceType": "Group",
"version": "1.0.0",
"location": "https://api.zoom.us/scim2/Groups/k&KdKr6TLWuxdDtk0hjSzL",
"created": "2023-11-24T05:13:15Z",
"lastModified": "2023-11-27T11:36:20Z"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group",
"urn:ietf:params:scim:schemas:extension:zoom:2.0:Group"
],
"displayName": "SCIM group",
"urn:ietf:params:scim:schemas:extension:zoom:2.0:Group": {
"emailAlias": "test@example.com"
}
}
```
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "Group:Read". \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`404\` \
Group does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Delete a group
- **Method:** `DELETE`
- **Path:** `/scim2/Groups/{groupId}`
- **Tags:** Group
Delete a group.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Responses
##### Status: 204 \*\*HTTP Status Code:\*\* \`204\` \
Group deleted.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
Cannot delete account default group. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "Group:Edit". \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`404\` \
Group does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Update a group
- **Method:** `PATCH`
- **Path:** `/scim2/Groups/{groupId}`
- **Tags:** Group
Update group information and manage its members, including adding, removing, and replacing members.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Request Body
##### Content-Type: application/json
**One of:**
- **`Operations`**
`array` — Array of operations to perform on the group.
**Items:**
**Any of:**
- **`op`**
`string` — The operation type to perform.
- **`value`**
`object` — The new values to apply for the operation.
- **`displayName`**
`string` — A human-readable name for the group.
* **`op`**
`string` — The operation type to perform.
* **`value`**
`object` — The new values to apply for the operation.
- **`urn:ietf:params:scim:schemas:extension:zoom:2.0:Group:emailAlias`**
`string` — The group's email address (optional).
- **`schemas`**
`array` — A list of schemas in \`urn:ietf:params:scim:api:messages:2.0:{operation}\` format.
**Items:**
`string`
* **`Operations`**
`array` — Array of operations to perform on the group.
**Items:**
- **`op`**
`string` — The operation type to perform.
- **`path`**
`string` — A string containing an attribute path describing the target of the operation.
- **`value`**
`array` — The new values to apply for the operation.
**Items:**
- **`value`**
`string` — The user's ID.
* **`schemas`**
`array` — A list of schemas in \`urn:ietf:params:scim:api:messages:2.0:{operation}\` format.
**Items:**
`string`
- **`Operations`**
`array` — Array of operations to perform on the group.
**Items:**
- **`op`**
`string` — The operation type to perform.
- **`path`**
`string` — A string containing an attribute path describing the target of the operation.
- **`schemas`**
`array` — A list of schemas in \`urn:ietf:params:scim:api:messages:2.0:{operation}\` format.
**Items:**
`string`
* **`Operations`**
`array` — Array of operations to perform on the group.
**Items:**
- **`op`**
`string` — The operation type to perform.
- **`path`**
`string` — A string containing an attribute path describing the target of the operation.
- **`value`**
`array` — The new values to apply for the operation.
**Items:**
- **`value`**
`string` — The user's ID.
* **`schemas`**
`array` — A list of schemas in \`urn:ietf:params:scim:api:messages:2.0:{operation}\` format.
**Items:**
`string`
**Example:**
```json
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "replace",
"value": {
"displayName": "SCIM group"
}
}
]
}
```
#### Responses
##### Status: 204 \*\*HTTP Status Code:\*\* \`204\` \
Group updated.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
The request body must be in JSON format. \
\*\*Error Code:\*\* \`400\` \
The request JSON must not be empty. \
\*\*Error Code:\*\* \`400\` \
The "Operations" of the request is invalid. \
\*\*Error Code:\*\* \`400\` \
The request body size exceeds the 100,000 character limit. Please reduce the payload size or contact Zoom Support to request a limit increase. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "Group:Edit". \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`404\` \
Group does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### List users
- **Method:** `GET`
- **Path:** `/scim2/Users`
- **Tags:** User
Lists all users. You can use additional query parameters to filter specific users.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` \
User information returned.
###### Content-Type: application/json
- **`itemsPerPage`**
`integer` — The number of records returned with a single API call.
- **`Resources`**
`array` — The user's resource information.
**Items:**
- **`active`**
`boolean` — Whether the user is active.
- **`displayName`**
`string` — The user's display name.
- **`emails`**
`array` — The user's email information.
**Items:**
- **`primary`**
`boolean` — Whether the email address is the user's primary email address.
- **`type`**
`string` — The email address label. For example \`work\`.
- **`value`**
`string`, format: `email` — The user's email address.
- **`id`**
`string` — The user's ID.
- **`meta`**
`object` — The user's resource metadata.
- **`created`**
`string` — The user'screation time.
- **`lastModified`**
`string` — The user's last modification time.
- **`location`**
`string` — The resource's URI in \`https\://api.zoom.us/scim2/Users/{userId}\` format.
- **`resourceType`**
`string` — The resource type. The value is always \`User\` for the User resource type.
- **`version`**
`string` — The resource's version number.
- **`name`**
`object` — The information about the user's name.
- **`familyName`**
`string` — The user's last name.
- **`givenName`**
`string` — The user's first name.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`urn:ietf:params:scim:schemas:extension:enterprise:2.0:User`**
`object` — User information.
- **`department`**
`string` — The user's department.
- **`urn:us:zoom:scim:schemas:extension:1.0:ZoomUser`**
`object` — User information.
- **`loginType`**
`object` — The user's login method information.
- **`sso`**
`boolean` — Whether Single Sign On (SSO) login is enabled.
- **`workEmail`**
`boolean` — Whether the ability to log in with an work email address is enabled.
- **`userName`**
`string`, format: `email` — The user's username.
- **`userType`**
`string`, possible values: `"Collaboration", "Basic", "Licensed", "On-Prem"` — Note: You can continue using this field, but it is planned for deprecation. No timeline has been set. The user type: \* \`Collaboration\` - Not supported with Microsoft Entra due to a Microsoft-specific limitation. It functions as expected with other identity providers (e.g., Okta), and through direct API calls. \* \`Basic\` \* \`Licensed\` \* \`On-Prem\`
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`startIndex`**
`integer` — The start index for the records.
- **`totalResults`**
`integer` — The total number of all records across pages.
**Example:**
```json
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 20,
"startIndex": 1,
"itemsPerPage": 10,
"Resources": [
{
"id": "k&KdKr6TLWuxdDtk0hjSzL",
"meta": {
"resourceType": "User",
"location": "https://api.zoom.us/scim2/Users/k&KdKr6TLWuxdDtk0hjSzL",
"version": "1.0.0",
"created": "2023-11-24T05:13:15Z",
"lastModified": "2023-11-25T06:23:17Z"
},
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"name": {
"givenName": "Jill",
"familyName": "Chill"
},
"emails": [
{
"type": "work",
"value": "jchill@example.com",
"primary": true
}
],
"displayName": "Jill Chill",
"userName": "jchill@example.com",
"active": true,
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"department": "Development"
},
"urn:us:zoom:scim:schemas:extension:1.0:ZoomUser": {
"loginType": {
"workEmail": true,
"sso": true
}
}
}
]
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
Account has not enabled Single Sign-On. \
\*\*Error Code:\*\* \`400\` \
The current filter is not supported, the filter name: {filter} \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The current login user does not have the "User:Read" permission. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Create a user
- **Method:** `POST`
- **Path:** `/scim2/Users`
- **Tags:** User
Creates a new user.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Request Body
##### Content-Type: application/json
- **`displayName`**
`string` — The user's display name. Note: If you do not add a display name, Zoom generates one by concatenating the first name and last name provided.
- **`groups`**
`array` — The user's assigned \[groups]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0062584) information.
**Items:**
- **`display`**
`string` — The group's display name.
- **`primary`**
`boolean` — Whether the group is the user's primary group.
- **`type`**
`string`, default: `"direct"` — The group type. This value defaults to \`direct\`.
- **`value`**
`string` — The group name.
- **`locale`**
`string` — The user's location.
- **`name`**
`object` — Information about the user's name.
- **`familyName`**
`string` — The user's last name.
- **`givenName`**
`string` — The user's first name.
- **`phoneNumbers`**
`array` — A list of the user's assigned phone numbers.
**Items:**
- **`type`**
`string`, possible values: `"mobile", "office", "home", "fax", "work"`, default: `"work"` — The phone number's label: \* \`mobile\` \* \`office\` \* \`home\` \* \`fax\` \* \`work\` This value defaults to \`work\`.
- **`value`**
`string` — The phone number.
- **`roles`**
`array` — The user's assigned \[roles]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0064983) information.
**Items:**
- **`display`**
`string` — The role's display name.
- **`primary`**
`boolean` — Whether the role is the user's primary role.
- **`value`**
`string` — The role name.
- **`schemas`**
`array` — A list of schemas in \`urn:ietf:params:scim:api:messages:2.0:{operation}\` format.
**Items:**
`string`
- **`title`**
`string` — The user's job title.
- **`urn:ietf:params:scim:schemas:extension:enterprise:2.0:User`**
`object`
- **`costCenter`**
`string` — The user's cost center.
- **`department`**
`string` — The user's department.
- **`employeeNumber`**
`string` — The user's employee ID.
- **`manager`**
`string`, format: `email` — The email address of the user's manager.
- **`organization`**
`string` — The user's organization.
- **`urn:ietf:params:scim:schemas:extension:zoom:1.0:User`**
`object`
- **`{customAttribute}`**
`string` — A custom attribute and its value. This field returns as the custom attribute's name. For example, \`currentState\` and the \`California\` value.
- **`clinicalNotes`**
`boolean` — Clinical Notes.
- **`cxInsights`**
`string`, possible values: `"1099511627776"` — The plan option of CX Insights. \* \`1099511627776\` - CX Insights Leader.
- **`personalLinkName`**
`string` — The user's customized \[personal link]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0068443#h\_08f381ef-1e88-417c-b014-a2b9ad4abbda).
- **`pronouns`**
`string` — The user's pronouns.
- **`transferee`**
`string` — The transferee is another user within the same account designated to receive the original user's data when that user is deactivated or deleted.
- **`visitorManagement`**
`boolean` — Zoom Visitor Management Plan.
- **`visitorManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Visitor Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAICompanion`**
`boolean` — Zoom AI Companion.
- **`zoomAICompanionSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom AI Companion and Zoom Custom AI Companion plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAutoDialer`**
`string`, possible values: `"1073741824", "-9223372036854775808", "2305843009213693952", "4611686018427387904"` — The plan option of Zoom Auto Dialer. \* \`1073741824\` - Zoom Auto Dialer Plus US/Canada. \* \`-9223372036854775808\` - Zoom Auto Dialer Plus Japan. \* \`2305843009213693952\` - Zoom Auto Dialer Plus UK/IR. \* \`4611686018427387904\` - Zoom Auto Dialer Plus AU/NZ.
- **`zoomAutoDialerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Auto Dialer plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomClinicians`**
`boolean` — Zoom Workplace for Clinicians.
- **`zoomClipsPlus`**
`boolean` — Zoom Clips Plus Plan.
- **`zoomClipsPlusSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Clips Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomComplianceManagement`**
`boolean` — Zoom Compliance Management Plan.
- **`zoomComplianceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Compliance Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomContactCenterAddonsPlan`**
`string`, possible values: `"ai_expert_assist", "service_cloud_voice"` — The Zoom Contact Center Plan to assign to the user. An empty value will not assign the user to a Zoom Contact Center Add-On package. To assign multiple plans, concatenate them as a comma-separated list (e.g., plan1,plan2). Add-on package options: \* \`ai\_expert\_assist\` - Zoom Contact Center AI Expert Assist Package. \* \`service\_cloud\_voice\` - Zoom Contact Center for Service Cloud Voice Package.
- **`zoomContactCenterPackage`**
`string`, possible values: `"Essentials", "Premium", "Elite"` — The Zoom Contact Center Plan to assign to the user. An empty value will not assign the user to Zoom Contact Center. Package options: \* \`Essentials\` - Zoom Contact Center Essentials Package. \* \`Premium\` - Zoom Contact Center Premium Package. \* \`Elite\` - Zoom Contact Center Elite Package.
- **`zoomContactCenterRegion`**
`string` — The Zoom Contact Center region to assign to the user. If you do not provide this value, Zoom assigns the main region to the user.
- **`zoomContactCenterRole`**
`string` — The Zoom Contact Center role to assign to the user. If you do not provide this value, Zoom assigns the default Agent role to the user.
- **`zoomContactCenterUserTemplate`**
`string` — The Zoom Contact Center Add Template to apply to the user. You can only use add-type templates when creating users. If you use an update-type template, it will be ignored. If you provide the add-type template value, leave all other fields blank to apply all settings from the template. If you specify both individual SCIM values and a template in the request, the individual values will take priority over the template settings.
- **`zoomCustomAICompanion`**
`boolean` — Zoom Custom AI Companion.
- **`zoomCustomerManagedKey`**
`boolean` — Zoom Customer Managed Key Plan.
- **`zoomCustomerManagedKeySubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Customer Managed Key. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomDocs`**
`boolean` — Zoom Docs Plan.
- **`zoomDocsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Docs plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomEnhancedMedia`**
`string`, possible values: `"4503599627370496"` — The plan option of Zoom Enhanced Media. \`4503599627370496\` - Zoom Enhanced Media.
- **`zoomFrontline`**
`string`, possible values: `"2048"` — The plan option of Zoom Workplace for Frontline. \* \`2048\` - Zoom Workplace for Frontline.
- **`zoomHuddles`**
`boolean` — Zoom Huddles Plan.
- **`zoomIQ`**
`boolean` — Zoom IQ Plan.
- **`zoomMailAndCalendar`**
`boolean` — Zoom Mail and Calendar Plan.
- **`zoomOneBizPlus`**
`string`, possible values: `"16", "32", "64", "128", "33554432"` — The Zoom Workplace plan option: \* \`16\` - Zoom Workplace Business Plus with US/CA Unlimited. \* \`32\` - Zoom Workplace Business Plus with UK/IR Unlimited. \* \`64\` - Zoom Workplace Business Plus with AU/NZ Unlimited. \* \`128\` - Zoom Workplace Business Plus with Japan Unlimited. \* \`33554432\` - Zoom Workplace Business Plus with Global Select. The Zoom One plan option for Gov accounts: \* \`16\` - Zoom One Business Plus.
- **`zoomOneEdu`**
`string` — Zoom One for Education Enterprise Student. \* \`576460752303423488\` - Zoom One for Education Enterprise Student.
- **`zoomOneEduEntPremier`**
`string`, possible values: `"4294967296", "8589934592", "17179869184", "34359738368", "68719476736"` — The Zoom One plan option: \* \`4294967296\` - Zoom One for Education Enterprise Premier with US/CA Unlimited. \* \`8589934592\` - Zoom One for Education Enterprise Premier with Japan Unlimited. \* \`17179869184\` - Zoom One for Education Enterprise Premier with UK/Ireland Unlimited. \* \`34359738368\` - Zoom One for Education Enterprise Premier with AU/NZ Unlimited. \* \`68719476736\` - Zoom One for Education Enterprise Premier with Global Select.
- **`zoomOneEntPremier`**
`string`, possible values: `"134217728", "268435456", "536870912", "1073741824", "2147483648"` — The Zoom One plan option: \* \`134217728\` - Zoom One Enterprise Premier with US/CA Unlimited. \* \`268435456\` - Zoom One Enterprise Premier with Japan Unlimited. \* \`536870912\` - Zoom One Enterprise Premier with UK/Ireland Unlimited. \* \`1073741824\` - Zoom One Enterprise Premier with AU/NZ Unlimited. \* \`2147483648\` - Zoom One Enterprise Premier with Global Select.
- **`zoomOneSchoolCampusPlus`**
`string`, possible values: `"137438953472", "274877906944", "549755813888", "1099511627776", "2199023255552"` — The Zoom One plan option: \* \`137438953472\` - Zoom One for Education School and Campus Plus with US/CA Unlimited. \* \`274877906944\` - Zoom One for Education School and Campus Plus with Japan Unlimited. \* \`549755813888\` - Zoom One for Education School and Campus Plus with UK/Ireland Unlimited. \* \`1099511627776\` - Zoom One for Education School and Campus Plus with AU/NZ Unlimited. \* \`2199023255552\` - Zoom One for Education School and Campus Plus with Global Select.
- **`zoomPhoneCallingPlan`**
`string` — The user's assigned \[Zoom Phone calling plan]\(/docs/api/references/phone-calling-plans/).
- **`zoomPhoneCallingPlanSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Phone calling plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomPhoneExtNumber`**
`string` — The user's Zoom Phone extension number. To automatically assign an extension number, set this field's value to \`0\`.
- **`zoomPhoneNumber`**
`string` — The user's assigned Zoom Phone number. This value must be an unassigned number in the Zoom account.
- **`zoomPhoneSite`**
`string` — The Zoom Phone site to assign the user to. If you do not provide this value, the user will be assigned to the main site.
- **`zoomQualityManagement`**
`boolean` — Zoom Quality Management Plan.
- **`zoomQualityManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Quality Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomRevenueAccelerator`**
`boolean` — Zoom Revenue Accelerator Plan.
- **`zoomRevenueAcceleratorRegion`**
`string` — Zoom Revenue Accelerator Region.
- **`zoomRevenueAcceleratorRole`**
`string` — Zoom Revenue Accelerator Role.
- **`zoomRevenueAcceleratorSegment`**
`string` — Zoom Revenue Accelerator Segment.
- **`zoomRevenueAcceleratorSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Revenue Accelerator plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomScheduler`**
`boolean` — Zoom Scheduler Plan.
- **`zoomSchedulerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Scheduler plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomTranslatedCaptions`**
`boolean` — Zoom Translated Captions Plan.
- **`zoomTranslatedCaptionsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Translated Captions plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomUnited`**
`string`, possible values: `"1", "2", "4", "8", "16", "32", "64", "128", "256", "512", "1024", "2048", "4096", "8192", "16384", "32768", "65536", "131072"` — The user's number of \[Zoom United licenses]\(https\://zoom.us/pricing/zoom-bundles). The license options: \* \`1\` - Zoom United Pro-United with US/CA Unlimited. \* \`2\` - Zoom United Pro-United with UK/IR Unlimited. \* \`4\` - Zoom United Pro-United with AU/NZ Unlimited. \* \`8\` - Zoom United Pro-United with Global Select. \* \`16\` - Zoom United Pro-United with Zoom Phone Pro. \* \`32\` - Zoom United Biz-United with US/CA Unlimited. \* \`64\` - Zoom United Biz-United with UK/IR Unlimited. \* \`128\` - Zoom United Biz-United with AU/NZ Unlimited. \* \`256\` - Zoom United Biz-United with Global Select. \* \`512\` - Zoom United Biz-United with Zoom Phone Pro. \* \`1024\` - Zoom United Ent-United with US/CA Unlimited. \* \`2048\` - Zoom United Ent-United with UK/IR Unlimited. \* \`4096\` - Zoom United Ent-United with AU/NZ Unlimited. \* \`8192\` - Zoom United Ent-United with Global Select. \* \`16384\` - Zoom United Ent-United with Zoom Phone Pro. \* \`32768\` - Zoom United Pro-United with JP Unlimited. \* \`65536\` - Zoom United Biz-United with JP Unlimited. \* \`131072\` - Zoom United Ent-United with JP Unlimited.
- **`zoomWhiteboard`**
`boolean` — Zoom Whiteboard Plan.
- **`zoomWhiteboardPlus`**
`boolean` — Zoom Whiteboard Plus Plan.
- **`zoomWhiteboardSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Whiteboard and Zoom Whiteboard Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkforceManagement`**
`boolean` — Zoom Workforce Management Plan.
- **`zoomWorkforceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Workforce Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkplaceSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Workplace license. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`userName`**
`string`, format: `email` — The user's email address.
- **`userType`**
`string`, possible values: `"Collaboration", "Basic", "Licensed", "On-Prem"` — Note: You can continue using this field, but it is planned for deprecation. No timeline has been set. The user type: \* \`Collaboration\` - Not supported with Microsoft Entra due to a Microsoft-specific limitation. It functions as expected with other identity providers (e.g., Okta), and through direct API calls. \* \`Basic\` \* \`Licensed\` \* \`On-Prem\`
**Example:**
```json
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"userName": "jchill@example.com",
"name": {
"givenName": "Jill",
"familyName": "Chill"
},
"displayName": "Jill Chill",
"title": "Developer",
"locale": "San Jose",
"phoneNumbers": [
{
"type": "work",
"value": "+015550100"
}
],
"roles": [
{
"display": "Developer",
"value": "Developer",
"primary": true
}
],
"groups": [
{
"display": "Developers",
"type": "direct",
"value": "Developers"
}
],
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"department": "Development",
"organization": "Example",
"costCenter": "US01",
"employeeNumber": "123",
"manager": "thill@example.com"
},
"urn:ietf:params:scim:schemas:extension:zoom:1.0:User": {
"zoomPhoneExtNumber": "0",
"zoomPhoneNumber": "5550100",
"zoomPhoneSite": "main",
"zoomPhoneCallingPlan": "phone_calling_usca_monthly_unlimited",
"{customAttribute}": "\"Custom attribute name\" : \"custom attribute value\"",
"personalLinkName": "user001",
"transferee": "transferee@example.com",
"pronouns": "They/Them/Their",
"zoomUnited": "16",
"zoomOneBizPlus": "16",
"zoomOneEdu": "576460752303423488",
"zoomOneSchoolCampusPlus": "137438953472",
"zoomOneEntPremier": "134217728",
"zoomOneEduEntPremier": "4294967296",
"zoomRevenueAccelerator": true,
"zoomCustomerManagedKey": true,
"zoomWhiteboard": true,
"zoomWhiteboardPlus": true,
"zoomTranslatedCaptions": true,
"zoomWorkforceManagement": true,
"zoomQualityManagement": true,
"zoomScheduler": true,
"zoomClipsPlus": true,
"zoomMailAndCalendar": true,
"visitorManagement": true,
"zoomComplianceManagement": true,
"zoomDocs": true,
"zoomContactCenterPackage": "Essentials",
"zoomContactCenterAddonsPlan": "ai_expert_assist",
"zoomContactCenterRole": "Admin",
"zoomContactCenterRegion": "Main Region",
"zoomContactCenterUserTemplate": "Add Template",
"zoomClinicians": true,
"zoomCustomAICompanion": true,
"zoomAICompanion": true,
"zoomRevenueAcceleratorRole": "Sales Manager",
"zoomAutoDialer": "1073741824",
"zoomFrontline": "2048",
"cxInsights": "1099511627776",
"zoomEnhancedMedia": "4503599627370496",
"zoomWorkplaceSubscription": "2025 Subscription",
"zoomPhoneCallingPlanSubscription": "2025 Subscription",
"zoomRevenueAcceleratorSubscription": "2025 Subscription",
"zoomCustomerManagedKeySubscription": "2025 Subscription",
"zoomWhiteboardSubscription": "2025 Subscription",
"zoomTranslatedCaptionsSubscription": "2025 Subscription",
"zoomWorkforceManagementSubscription": "2025 Subscription",
"zoomQualityManagementSubscription": "2025 Subscription",
"zoomSchedulerSubscription": "2025 Subscription",
"zoomClipsPlusSubscription": "2025 Subscription",
"visitorManagementSubscription": "2025 Subscription",
"zoomComplianceManagementSubscription": "2025 Subscription",
"zoomDocsSubscription": "2025 Subscription",
"zoomAutoDialerSubscription": "2025 Subscription",
"zoomAICompanionSubscription": "2025 Subscription",
"zoomRevenueAcceleratorSegment": "Sales",
"zoomRevenueAcceleratorRegion": "US"
}
}
```
#### Responses
##### Status: 201 \*\*HTTP Status Code:\*\* \`201\` \
User created.
###### Content-Type: application/json
- **`active`**
`boolean` — Whether the user is active.
- **`displayName`**
`string` — The user's display name.
- **`emails`**
`array` — The user's email information.
**Items:**
- **`primary`**
`boolean` — Whether the email address is the user's primary email address.
- **`type`**
`string`, default: `"work"` — The type of email address.
- **`value`**
`string`, format: `email` — The user's email address.
- **`groups`**
`array` — The user's \[groups]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0062584) information.
**Items:**
- **`display`**
`string` — The group's display name.
- **`primary`**
`boolean` — Whether the group is the user's primary group.
- **`type`**
`string`, default: `"direct"` — The group type.
- **`value`**
`string` — The group name.
- **`id`**
`string` — The user's ID.
- **`locale`**
`string` — The user's location.
- **`meta`**
`object` — The user's resource metadata.
- **`created`**
`string` — The user's creation time.
- **`lastModified`**
`string` — The user's last modification time.
- **`location`**
`string` — The resource's URI in \`https\://api.zoom.us/scim2/Users/{userId}\` format.
- **`resourceType`**
`string` — The resource type. The value is always \`User\` for the User resource type.
- **`version`**
`string` — The resource's version number.
- **`name`**
`object` — Information about the user's name.
- **`familyName`**
`string` — The user's last name.
- **`givenName`**
`string` — The user's first name.
- **`phoneNumbers`**
`array` — A list of the user's assigned phone numbers.
**Items:**
- **`type`**
`string`, possible values: `"mobile", "office", "home", "fax", "work"`, default: `"work"` — The phone number's label: \* \`mobile\` \* \`office\` \* \`home\` \* \`fax\` \* \`work\` This value defaults to \`work\`.
- **`value`**
`string` — The phone number.
- **`roles`**
`array` — The user's \[role]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0064983) information.
**Items:**
- **`display`**
`string` — The role's display name.
- **`primary`**
`boolean` — Whether the role is the user's primary role.
- **`value`**
`string` — The role name.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`title`**
`string` — The user's job title.
- **`urn:ietf:params:scim:schemas:extension:enterprise:2.0:User`**
`object`
- **`costCenter`**
`string` — The user's cost center.
- **`department`**
`string` — The user's department.
- **`employeeNumber`**
`string` — The user's employee ID.
- **`manager`**
`string`, format: `email` — The email address of the user's manager.
- **`organization`**
`string` — The user's organization.
- **`urn:ietf:params:scim:schemas:extension:zoom:1.0:User`**
`object`
- **`{customAttribute}`**
`string` — A custom attribute and its value. This field returns as the custom attribute's name. For example, \`currentState\` and the \`California\` value.
- **`clinicalNotes`**
`boolean` — Clinical Notes.
- **`cxInsights`**
`string`, possible values: `"1099511627776"` — The plan option of CX Insights. \* \`1099511627776\` - CX Insights Leader.
- **`personalLinkName`**
`string` — The user's customized \[personal link]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0068443#h\_08f381ef-1e88-417c-b014-a2b9ad4abbda).
- **`pronouns`**
`string` — The user's pronouns.
- **`transferee`**
`string` — The transferee is another user within the same account designated to receive the original user's data when that user is deactivated or deleted.
- **`visitorManagement`**
`boolean` — Zoom Visitor Management Plan.
- **`visitorManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Visitor Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAICompanion`**
`boolean` — Zoom AI Companion.
- **`zoomAICompanionSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom AI Companion and Zoom Custom AI Companion plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAutoDialer`**
`string`, possible values: `"1073741824", "-9223372036854775808", "2305843009213693952", "4611686018427387904"` — The plan option of Zoom Auto Dialer. \* \`1073741824\` - Zoom Auto Dialer Plus US/Canada. \* \`-9223372036854775808\` - Zoom Auto Dialer Plus Japan. \* \`2305843009213693952\` - Zoom Auto Dialer Plus UK/IR. \* \`4611686018427387904\` - Zoom Auto Dialer Plus AU/NZ.
- **`zoomAutoDialerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Auto Dialer plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomClinicians`**
`boolean` — Zoom Workplace for Clinicians.
- **`zoomClipsPlus`**
`boolean` — Zoom Clips Plus Plan.
- **`zoomClipsPlusSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Clips Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomComplianceManagement`**
`boolean` — Zoom Compliance Management Plan.
- **`zoomComplianceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Compliance Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomCustomAICompanion`**
`boolean` — Zoom Custom AI Companion.
- **`zoomCustomerManagedKey`**
`boolean` — Zoom Customer Managed Key Plan.
- **`zoomCustomerManagedKeySubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Customer Managed Key. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomDocs`**
`boolean` — Zoom Docs Plan.
- **`zoomDocsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Docs plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomEnhancedMedia`**
`string`, possible values: `"4503599627370496"` — The plan option of Zoom Enhanced Media. \`4503599627370496\` - Zoom Enhanced Media.
- **`zoomFrontline`**
`string`, possible values: `"2048"` — The plan option of Zoom Workplace for Frontline. \* \`2048\` - Zoom Workplace for Frontline.
- **`zoomHuddles`**
`boolean` — Zoom Huddles Plan.
- **`zoomIQ`**
`boolean` — Zoom IQ Plan.
- **`zoomMailAndCalendar`**
`boolean` — Zoom Mail and Calendar Plan.
- **`zoomOneBizPlus`**
`string` — Zoom One Business Plus.
- **`zoomOneEdu`**
`string` — Zoom One for Education Enterprise Student.
- **`zoomOneEduEntPremier`**
`string` — Zoom One for Education Enterprise Premier.
- **`zoomOneEntPremier`**
`string` — Zoom One Enterprise Premier.
- **`zoomOneSchoolCampusPlus`**
`string` — Zoom One for Education School and Campus Plus.
- **`zoomQualityManagement`**
`boolean` — Zoom Quality Management Plan.
- **`zoomQualityManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Quality Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomRevenueAccelerator`**
`boolean` — Zoom Revenue Accelerator Plan.
- **`zoomRevenueAcceleratorRole`**
`string` — Zoom Revenue Accelerator Role.
- **`zoomRevenueAcceleratorSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Revenue Accelerator plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomScheduler`**
`boolean` — Zoom Scheduler Plan.
- **`zoomSchedulerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Scheduler plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomTranslatedCaptions`**
`boolean` — Zoom Translated Captions Plan.
- **`zoomTranslatedCaptionsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Translated Captions plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomUnited`**
`string` — The user's number of \[Zoom United licenses]\(https\://zoom.us/pricing/zoom-bundles).
- **`zoomWhiteboard`**
`boolean` — Zoom Whiteboard Plan.
- **`zoomWhiteboardPlus`**
`boolean` — Zoom Whiteboard Plus Plan.
- **`zoomWhiteboardSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Whiteboard and Zoom Whiteboard Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkforceManagement`**
`boolean` — Zoom Workforce Management Plan.
- **`zoomWorkforceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Workforce Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkplaceSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) name for the Zoom Workplace license. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`userName`**
`string`, format: `email` — The user's email address.
- **`userType`**
`string`, possible values: `"Collaboration", "Basic", "Licensed", "On-Prem"` — Note: You can continue using this field, but it is planned for deprecation. No timeline has been set. The user type: \* \`Collaboration\` - Not supported with Microsoft Entra due to a Microsoft-specific limitation. It functions as expected with other identity providers (e.g., Okta), and through direct API calls. \* \`Basic\` \* \`Licensed\` \* \`On-Prem\`
**Example:**
```json
{
"id": "k&KdKr6TLWuxdDtk0hjSzL",
"meta": {
"resourceType": "User",
"location": "https://api.zoom.us/scim2/Users/k&KdKr6TLWuxdDtk0hjSzL",
"version": "1.0.0",
"created": "2023-11-24T05:13:15Z",
"lastModified": "2023-11-24T05:13:15Z"
},
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"name": {
"givenName": "Jill",
"familyName": "Chill"
},
"emails": [
{
"type": "work",
"value": "jchill@example.com",
"primary": true
}
],
"displayName": "Jill Chill",
"userName": "jchill@example.com",
"active": true,
"title": "Developer",
"locale": "San Jose",
"phoneNumbers": [
{
"type": "work",
"value": "+015550100"
}
],
"roles": [
{
"display": "Developer",
"value": "Developer",
"primary": true
}
],
"groups": [
{
"display": "Developers",
"type": "direct",
"value": "Developers"
}
],
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"department": "Development",
"organization": "Example",
"costCenter": "US01",
"employeeNumber": "ABCDE12345",
"manager": "thill@example.com"
},
"urn:ietf:params:scim:schemas:extension:zoom:1.0:User": {
"{customAttribute}": "\"Custom attribute name\" : \"custom attribute value\"",
"personalLinkName": "user001",
"transferee": "transferee@example.com",
"pronouns": "They/Them/Their",
"zoomUnited": "16",
"zoomOneBizPlus": "16",
"zoomOneEdu": "576460752303423488",
"zoomOneSchoolCampusPlus": "137438953472",
"zoomOneEntPremier": "13421772",
"zoomOneEduEntPremier": "4294967296",
"zoomRevenueAccelerator": true,
"zoomCustomerManagedKey": true,
"zoomWhiteboard": true,
"zoomWhiteboardPlus": true,
"zoomTranslatedCaptions": true,
"zoomWorkforceManagement": true,
"zoomQualityManagement": true,
"zoomScheduler": true,
"zoomClipsPlus": true,
"zoomMailAndCalendar": true,
"visitorManagement": true,
"zoomComplianceManagement": true,
"zoomDocs": true,
"zoomClinicians": true,
"zoomCustomAICompanion": true,
"zoomAICompanion": true,
"zoomRevenueAcceleratorRole": "Sales Manager",
"zoomAutoDialer": "1073741824",
"zoomFrontline": "2048",
"cxInsights": "1099511627776",
"zoomEnhancedMedia": "4503599627370496",
"zoomWorkplaceSubscription": "2025 Subscription",
"zoomRevenueAcceleratorSubscription": "2025 Subscription",
"zoomCustomerManagedKeySubscription": "2025 Subscription",
"zoomWhiteboardSubscription": "2025 Subscription",
"zoomTranslatedCaptionsSubscription": "2025 Subscription",
"zoomWorkforceManagementSubscription": "2025 Subscription",
"zoomQualityManagementSubscription": "2025 Subscription",
"zoomSchedulerSubscription": "2025 Subscription",
"zoomClipsPlusSubscription": "2025 Subscription",
"visitorManagementSubscription": "2025 Subscription",
"zoomComplianceManagementSubscription": "2025 Subscription",
"zoomDocsSubscription": "2025 Subscription",
"zoomAutoDialerSubscription": "2025 Subscription",
"zoomAICompanionSubscription": "2025 Subscription"
}
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
Account has not enabled Single Sign-On. \
\*\*Error Code:\*\* \`400\` \
The request body must be in JSON format. \
\*\*Error Code:\*\* \`400\` \
The request JSON must not be empty. \
\*\*Error Code:\*\* \`400\` \
The "userName" of the request is invalid. \
\*\*Error Code:\*\* \`400\` \
The email "{email}" is already in use. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "User:Edit". \
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict \*\*Error Code:\*\* \`409\` \
The email domain does not match the associated domain of the account, please contact Zoom Customer Support to set up if necessary. \
\*\*Error Code:\*\* \`409\` \
Cannot add paid users. \
\*\*Error Code:\*\* \`409\` \
The Zoom United Plan is invalid. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom United Plan. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace Business Plus. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace Enterprise Premier. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace for Education School and Campus Plus. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace for Education Enterprise Premier. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace for Education Enterprise Student. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace Pro Plus. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Get a user
- **Method:** `GET`
- **Path:** `/scim2/Users/{userId}`
- **Tags:** User
Returns information about a specific user.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` User information retrieved successfully.
###### Content-Type: application/json
- **`active`**
`boolean` — Whether the user is active.
- **`displayName`**
`string` — The user's display name.
- **`emails`**
`array` — The user's email information.
**Items:**
- **`primary`**
`boolean` — Whether the email address is the user's primary email address.
- **`type`**
`string`, default: `"work"` — The email address label. For example, \`work\`.
- **`value`**
`string`, format: `email` — The user's email address.
- **`groups`**
`object` — The user's \[groups]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0062584) information.
- **`display`**
`string` — The group's display name.
- **`type`**
`string` — The group type.
- **`value`**
`string` — The group name.
- **`id`**
`string` — The user's unique identifier.
- **`meta`**
`object` — The user's resource metadata.
- **`created`**
`string` — The timestamp when the user was created.
- **`lastModified`**
`string` — The timestamp when the user was last modified.
- **`location`**
`string` — The resource's URI in \`https\://api.zoom.us/scim2/Users/{userId}\` format.
- **`resourceType`**
`string` — The resource type. The value is always \`User\` for the User resource type.
- **`version`**
`string` — The resource's version number.
- **`name`**
`object` — The information about the user's name.
- **`familyName`**
`string` — The user's last name.
- **`givenName`**
`string` — The user's first name.
- **`phoneNumbers`**
`array` — A list of the user's assigned phone numbers.
**Items:**
- **`type`**
`string`, possible values: `"mobile", "office", "home", "fax", "work"`, default: `"work"` — The phone number's label: \* \`mobile\` \* \`office\` \* \`home\` \* \`fax\` \* \`work\` This value defaults to \`work\`.
- **`value`**
`string` — The phone number.
- **`roles`**
`object` — The user's \[role]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0064983) information.
- **`display`**
`string` — The role's display name.
- **`primary`**
`boolean` — Whether the role is the user's primary role.
- **`value`**
`string` — The role name.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`urn:ietf:params:scim:schemas:extension:enterprise:2.0:User`**
`object` — User information.
- **`costCenter`**
`string` — The user's cost center.
- **`department`**
`string` — The user's department.
- **`employeeNumber`**
`string` — The user's employee identifier.
- **`manager`**
`string`, format: `email` — The email address of the user's manager.
- **`organization`**
`string` — The user's organization.
- **`urn:ietf:params:scim:schemas:extension:zoom:1.0:User`**
`object` — User information.
- **`clinicalNotes`**
`boolean` — Whether Clinical Notes is enabled.
- **`cxInsights`**
`string`, possible values: `"1099511627776"` — The plan option of CX Insights. \`1099511627776\` - CX Insights Leader.
- **`personalLinkName`**
`string` — The user's customized \[personal link]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0068443#h\_08f381ef-1e88-417c-b014-a2b9ad4abbda).
- **`pronouns`**
`string` — The user's pronouns.
- **`transferee`**
`string` — The transferee is another user within the same account designated to receive the original user's data when that user is deactivated or deleted.
- **`visitorManagement`**
`boolean` — Whether the Zoom Visitor Management Plan is enabled.
- **`visitorManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Visitor Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAICompanion`**
`boolean` — Zoom AI Companion.
- **`zoomAICompanionSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom AI Companion and Zoom Custom AI Companion plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAutoDialer`**
`string`, possible values: `"1073741824", "-9223372036854775808", "2305843009213693952", "4611686018427387904"` — The plan option of Zoom Auto Dialer. \* \`1073741824\` - Zoom Auto Dialer Plus US/Canada. \* \`-9223372036854775808\` - Zoom Auto Dialer Plus Japan. \* \`2305843009213693952\` - Zoom Auto Dialer Plus UK/IR. \* \`4611686018427387904\` - Zoom Auto Dialer Plus AU/NZ.
- **`zoomAutoDialerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Auto Dialer plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomClinicians`**
`boolean` — Whether Zoom Workplace for Clinicians is enabled.
- **`zoomClipsPlus`**
`boolean` — Whether the Zoom Clips Plus Plan is enabled.
- **`zoomClipsPlusSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Clips Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomComplianceManagement`**
`boolean` — Whether the Zoom Compliance Management Plan is enabled.
- **`zoomComplianceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Compliance Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomCustomAICompanion`**
`boolean` — Whether Zoom Custom AI Companion is enabled.
- **`zoomCustomerManagedKey`**
`boolean` — Whether the Zoom Customer Managed Key Plan is enabled.
- **`zoomCustomerManagedKeySubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Customer Managed Key. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomDocs`**
`boolean` — Whether the Zoom Docs Plan is enabled.
- **`zoomDocsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Docs plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomEnhancedMedia`**
`string`, possible values: `"4503599627370496"` — The plan option of Zoom Enhanced Media. \`4503599627370496\` - Zoom Enhanced Media.
- **`zoomFrontline`**
`string`, possible values: `"2048"` — The plan option of Zoom Workplace for Frontline. \`2048\` - Zoom Workplace for Frontline.
- **`zoomHuddles`**
`boolean` — Whether the Zoom Huddles Plan is enabled.
- **`zoomIQ`**
`boolean` — Whether the Zoom IQ Plan is enabled.
- **`zoomMailAndCalendar`**
`boolean` — Whether the Zoom Mail and Calendar Plan is enabled.
- **`zoomOneBizPlus`**
`string` — Zoom Workplace Business Plus.
- **`zoomOneEdu`**
`string` — Zoom One for Education Enterprise Student.
- **`zoomOneEduEntPremier`**
`string` — Zoom One for Education Enterprise Premier.
- **`zoomOneEntPremier`**
`string` — Zoom Workplace Enterprise Premier.
- **`zoomOneSchoolCampusPlus`**
`string` — Zoom One for Education School and Campus Plus.
- **`zoomQualityManagement`**
`boolean` — Whether the Zoom Quality Management Plan is enabled.
- **`zoomQualityManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Quality Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomRevenueAccelerator`**
`boolean` — Whether the Zoom Revenue Accelerator Plan is enabled.
- **`zoomRevenueAcceleratorSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Revenue Accelerator plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomScheduler`**
`boolean` — Whether the Zoom Scheduler Plan is enabled.
- **`zoomSchedulerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Scheduler plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomTranslatedCaptions`**
`boolean` — Whether the Zoom Translated Captions Plan is enabled.
- **`zoomTranslatedCaptionsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Translated Captions plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomUnited`**
`string` — The user's number of Zoom United licenses.
- **`zoomWhiteboard`**
`boolean` — Whether the Zoom Whiteboard Plan is enabled.
- **`zoomWhiteboardPlus`**
`boolean` — Whether the Zoom Whiteboard Plus Plan is enabled.
- **`zoomWhiteboardSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Whiteboard and Zoom Whiteboard Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkforceManagement`**
`boolean` — Whether the Zoom Workforce Management Plan is enabled.
- **`zoomWorkforceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Workforce Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkplaceSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) name for the Zoom Workplace license. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`urn:us:zoom:scim:schemas:extension:1.0:ZoomUser`**
`object` — User information.
- **`loginType`**
`object` — The user's login method information.
- **`sso`**
`boolean` — Whether Single Sign-On (SSO) login is enabled.
- **`workEmail`**
`boolean` — Whether login using work email address is enabled.
- **`userName`**
`string`, format: `email` — The user's email address.
- **`userType`**
`string`, possible values: `"Collaboration", "Basic", "Licensed", "On-Prem"` — Note: You can continue using this field, but it is planned for deprecation. No timeline has been set. The user type: \* \`Collaboration\` - Not supported with Microsoft Entra due to a Microsoft-specific limitation. It functions as expected with other identity providers (e.g., Okta), and through direct API calls. \* \`Basic\` \* \`Licensed\` \* \`On-Prem\`
**Example:**
```json
{
"id": "k&KdKr6TLWuxdDtk0hjSzL",
"meta": {
"resourceType": "User",
"location": "https://api.zoom.us/scim2/Users/k&KdKr6TLWuxdDtk0hjSzL",
"version": "1.0.0",
"created": "2023-11-24T05:13:15Z",
"lastModified": "2023-11-25T06:23:17Z"
},
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"name": {
"givenName": "Jill",
"familyName": "Chill"
},
"emails": [
{
"type": "work",
"value": "jchill@example.com",
"primary": true
}
],
"displayName": "Jill Chill",
"userName": "jchill@example.com",
"active": true,
"phoneNumbers": [
{
"type": "work",
"value": "+015550100"
}
],
"roles": {
"display": "Developer",
"value": "Developer",
"primary": true
},
"groups": {
"type": "direct",
"value": "Developers",
"display": "Developers"
},
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"department": "Development",
"organization": "Example",
"costCenter": "US01",
"employeeNumber": "123",
"manager": "thill@example.com"
},
"urn:us:zoom:scim:schemas:extension:1.0:ZoomUser": {
"loginType": {
"workEmail": true,
"sso": true
}
},
"urn:ietf:params:scim:schemas:extension:zoom:1.0:User": {
"personalLinkName": "user001",
"transferee": "transferee@example.com",
"pronouns": "They/Them/Their",
"zoomUnited": "16",
"zoomOneBizPlus": "16",
"zoomOneEdu": "576460752303423488",
"zoomOneSchoolCampusPlus": "137438953472",
"zoomOneEntPremier": "13421772",
"zoomOneEduEntPremier": "4294967296",
"zoomRevenueAccelerator": true,
"zoomCustomerManagedKey": true,
"zoomWhiteboard": true,
"zoomWhiteboardPlus": true,
"zoomTranslatedCaptions": true,
"zoomWorkforceManagement": true,
"zoomQualityManagement": true,
"zoomScheduler": true,
"zoomClipsPlus": true,
"zoomMailAndCalendar": true,
"visitorManagement": true,
"zoomComplianceManagement": true,
"zoomDocs": true,
"zoomClinicians": true,
"zoomCustomAICompanion": true,
"zoomAICompanion": true,
"zoomAutoDialer": "1073741824",
"zoomFrontline": "2048",
"cxInsights": "1099511627776",
"zoomWorkplaceSubscription": "2025 Subscription",
"zoomRevenueAcceleratorSubscription": "2025 Subscription",
"zoomCustomerManagedKeySubscription": "2025 Subscription",
"zoomWhiteboardSubscription": "2025 Subscription",
"zoomTranslatedCaptionsSubscription": "2025 Subscription",
"zoomWorkforceManagementSubscription": "2025 Subscription",
"zoomQualityManagementSubscription": "2025 Subscription",
"zoomSchedulerSubscription": "2025 Subscription",
"zoomClipsPlusSubscription": "2025 Subscription",
"visitorManagementSubscription": "2025 Subscription",
"zoomComplianceManagementSubscription": "2025 Subscription",
"zoomDocsSubscription": "2025 Subscription",
"zoomAutoDialerSubscription": "2025 Subscription",
"zoomAICompanionSubscription": "2025 Subscription",
"zoomEnhancedMedia": "4503599627370496"
}
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
Account has not enabled Single Sign-On. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "User:Read". \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`404\` \
User does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### Update a user
- **Method:** `PUT`
- **Path:** `/scim2/Users/{userId}`
- **Tags:** User
Updates a user's information.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Request Body
##### Content-Type: application/json
- **`active`**
`boolean` — Whether to activate the user: \* \`true\` - Activate user. \* \`false\` - Deactivate user.
- **`displayName`**
`string` — The user's display name. Note: Zoom does not update the display name if you update the first name or last name. You must send a new displayName if you change these values.
- **`emails`**
`array` — The user's email information.
**Items:**
- **`primary`**
`boolean` — Whether the email address is the user's primary email address.
- **`type`**
`string`, default: `"work"` — The email address label, such as \`work\`.
- **`value`**
`string`, format: `email` — The user's email address.
- **`groups`**
`array` — The user's \[groups]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0062584) information.
**Items:**
- **`display`**
`string` — The group's display name.
- **`primary`**
`boolean` — Whether the group is the user's primary group.
- **`type`**
`string`, default: `"direct"` — The group type. This value defaults to \`direct\`.
- **`value`**
`string` — The group name.
- **`locale`**
`string` — The user's location.
- **`name`**
`object` — Information about the user's name.
- **`familyName`**
`string` — The user's last name.
- **`givenName`**
`string` — The user's first name.
- **`phoneNumbers`**
`array` — A list of the user's assigned phone numbers.
**Items:**
- **`type`**
`string`, default: `"work"` — The label of the phone number: \`mobile\`, \`office\`, \`home\`, \`fax\`. If you do not provide a label, Zoom assigns the default label value: \`work\`.
- **`value`**
`string` — The phone number.
- **`roles`**
`array` — The user's \[role]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0064983) information.
**Items:**
- **`display`**
`string` — The role's display name.
- **`primary`**
`boolean` — Whether the role is the user's primary role.
- **`value`**
`string` — The role name.
- **`schemas`**
`array` — A list of schemas in \`urn:ietf:params:scim:api:messages:2.0:{operation}\` format.
**Items:**
`string`
- **`title`**
`string` — The user's job title.
- **`urn:ietf:params:scim:schemas:extension:enterprise:2.0:User`**
`object`
- **`costCenter`**
`string` — The user's cost center.
- **`department`**
`string` — The user's department.
- **`employeeNumber`**
`string` — The user's employee ID.
- **`manager`**
`string`, format: `email` — The email address of the user's manager.
- **`organization`**
`string` — The user's organization.
- **`urn:ietf:params:scim:schemas:extension:zoom:1.0:User`**
`object`
- **`{customAttribute}`**
`string` — A custom attribute and its value. This field returns the custom attribute's name. For example, \`currentState\` and the \`California\` value.
- **`clinicalNotes`**
`boolean` — Clinical Notes.
- **`cxInsights`**
`string`, possible values: `"1099511627776"` — The plan option of CX Insights. \`1099511627776\` - CX Insights Leader.
- **`personalLinkName`**
`string` — The user's customized \[personal link]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0068443#h\_08f381ef-1e88-417c-b014-a2b9ad4abbda).
- **`pronouns`**
`string` — The user's pronouns.
- **`transferee`**
`string` — The transferee is another user within the same account designated to receive the original user's data when that user is deactivated or deleted.
- **`visitorManagement`**
`boolean` — Zoom Visitor Management Plan.
- **`visitorManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Visitor Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAICompanion`**
`boolean` — Zoom AI Companion.
- **`zoomAICompanionSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom AI Companion and Zoom Custom AI Companion plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAutoDialer`**
`string`, possible values: `"1073741824", "-9223372036854775808", "2305843009213693952", "4611686018427387904"` — The plan option of Zoom Auto Dialer. \* \`1073741824\` - Zoom Auto Dialer Plus US/Canada. \* \`-9223372036854775808\` - Zoom Auto Dialer Plus Japan. \* \`2305843009213693952\` - Zoom Auto Dialer Plus UK/IR. \* \`4611686018427387904\` - Zoom Auto Dialer Plus AU/NZ.
- **`zoomAutoDialerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Auto Dialer plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomClinicians`**
`boolean` — Zoom Workplace for Clinicians.
- **`zoomClipsPlus`**
`boolean` — Zoom Clips Plus Plan.
- **`zoomClipsPlusSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Clips Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomComplianceManagement`**
`boolean` — Zoom Compliance Management Plan.
- **`zoomComplianceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Compliance Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomContactCenterAddonsPlan`**
`string`, possible values: `"ai_expert_assist", "service_cloud_voice"` — Optional. The Zoom Contact Center add-on plans to assign to the user. Use a comma-separated list to assign multiple plans (e.g., \`plan1,plan2\`). If this field is empty, no changes will be applied. Available add-on packages: \* \`ai\_expert\_assist\` — Zoom Contact Center AI Expert Assist package. \* \`service\_cloud\_voice\` — Zoom Contact Center for Service Cloud Voice package.
- **`zoomContactCenterPackage`**
`string`, possible values: `"Essentials", "Premium", "Elite"` — Zoom Contact Center Plan to assign to the user. Empty value will result in no changes. The package options: \* \`Essentials\` - Zoom Contact Center Essentials Package. \* \`Premium\` - Zoom Contact Center Premium Package. \* \`Elite\` - Zoom Contact Center Elite Package.
- **`zoomContactCenterRegion`**
`string` — The Zoom Contact Center region to assign to the user. Empty value will result in no changes.
- **`zoomContactCenterRole`**
`string` — The Zoom Contact Center role to update for the user. Empty value will result in no changes.
- **`zoomContactCenterUserTemplate`**
`string` — The Zoom Contact Center Update Template to apply to the user. You can only use update-type templates when updating users; add-type templates will be ignored. If you provide this value, leave all other fields blank to apply the settings from the template. Only the settings from the template indicated as 'override' will be applied to the user. If you specify both individual values and a template in the request, the individual values take priority over the template settings.
- **`zoomCustomAICompanion`**
`boolean` — Zoom Custom AI Companion.
- **`zoomCustomerManagedKey`**
`boolean` — Zoom Customer Managed Key Plan.
- **`zoomCustomerManagedKeySubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Customer Managed Key. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomDocs`**
`boolean` — Zoom Docs Plan.
- **`zoomDocsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Docs plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomEnhancedMedia`**
`string`, possible values: `"4503599627370496"` — The plan option of Zoom Enhanced Media. \`4503599627370496\` - Zoom Enhanced Media.
- **`zoomFrontline`**
`string`, possible values: `"2048"` — The plan option of Zoom Workplace for Frontline. \`2048\` - Zoom Workplace for Frontline.
- **`zoomHuddles`**
`boolean` — Zoom Huddles Plan.
- **`zoomIQ`**
`boolean` — Zoom IQ Plan.
- **`zoomMailAndCalendar`**
`boolean` — Zoom Mail and Calendar Plan.
- **`zoomOneBizPlus`**
`string`, possible values: `"16", "32", "64", "128", "33554432"` — The Zoom Workplace plan option. Choose from: \* \`16\` - Zoom Workplace Business Plus with US/CA Unlimited. \* \`32\` - Zoom Workplace Business Plus with UK/IR Unlimited. \* \`64\` - Zoom Workplace Business Plus with AU/NZ Unlimited. \* \`128\` - Zoom Workplace Business Plus with Japan Unlimited. \* \`33554432\` - Zoom Workplace Business Plus with Global Select. The Zoom One plan option for Gov accounts: \* \`16\` - Zoom One Business Plus.
- **`zoomOneEdu`**
`string` — Zoom One for Education Enterprise Student: \* \`576460752303423488\` - Zoom One for Education Enterprise Student.
- **`zoomOneEduEntPremier`**
`string`, possible values: `"4294967296", "8589934592", "17179869184", "34359738368", "68719476736"` — The Zoom One plan option: \* \`4294967296\` - Zoom One for Education Enterprise Premier with US/CA Unlimited. \* \`8589934592\` - Zoom One for Education Enterprise Premier with Japan Unlimited. \* \`17179869184\` - Zoom One for Education Enterprise Premier with UK/Ireland Unlimited. \* \`34359738368\` - Zoom One for Education Enterprise Premier with AU/NZ Unlimited. \* \`68719476736\` - Zoom One for Education Enterprise Premier with Global Select.
- **`zoomOneEntPremier`**
`string`, possible values: `"134217728", "268435456", "536870912", "1073741824", "2147483648"` — The Zoom One plan option: \* \`134217728\` - Zoom One Enterprise Premier with US/CA Unlimited. \* \`268435456\` - Zoom One Enterprise Premier with Japan Unlimited. \* \`536870912\` - Zoom One Enterprise Premier with UK/Ireland Unlimited. \* \`1073741824\` - Zoom One Enterprise Premier with AU/NZ Unlimited. \* \`2147483648\` - Zoom One Enterprise Premier with Global Select.
- **`zoomOneSchoolCampusPlus`**
`string`, possible values: `"137438953472", "274877906944", "549755813888", "1099511627776", "2199023255552"` — The Zoom One plan option: \* \`137438953472\` - Zoom One for Education School and Campus Plus with US/CA Unlimited. \* \`274877906944\` - Zoom One for Education School and Campus Plus with Japan Unlimited. \* \`549755813888\` - Zoom One for Education School and Campus Plus with UK/Ireland Unlimited. \* \`1099511627776\` - Zoom One for Education School and Campus Plus with AU/NZ Unlimited. \* \`2199023255552\` - Zoom One for Education School and Campus Plus with Global Select.
- **`zoomPhoneCallingPlan`**
`string` — The user's assigned \[Zoom Phone calling plan number]\(/docs/api/references/billing-plans/#zoom-phone-calling-plans). To remove all calling plans, set the value of \`zoomPhoneCallingPlan\` to \`-1\`.
- **`zoomPhoneCallingPlanSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Phone calling plans. Ignore this field if your account doesn't enable the Multiple Subscription Quoting feature.
- **`zoomPhoneExtNumber`**
`string` — The user's Zoom Phone extension number. To automatically assign an extension number, set this field's value to \`0\`.
- **`zoomPhoneNumber`**
`string` — The user's assigned Zoom Phone number. This value must be an unassigned number in the Zoom account.
- **`zoomPhoneSite`**
`string` — The Zoom Phone site to assign the user to. If you do not provide this value, Zoom assigns the user to the main site.
- **`zoomQualityManagement`**
`boolean` — Zoom Quality Management Plan.
- **`zoomQualityManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Quality Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomRevenueAccelerator`**
`boolean` — Zoom Revenue Accelerator Plan.
- **`zoomRevenueAcceleratorRegion`**
`string` — Zoom Revenue Accelerator Region.
- **`zoomRevenueAcceleratorRole`**
`string` — Zoom Revenue Accelerator role.
- **`zoomRevenueAcceleratorSegment`**
`string` — Zoom Revenue Accelerator Segment.
- **`zoomRevenueAcceleratorSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Revenue Accelerator plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomScheduler`**
`boolean` — Zoom Scheduler Plan.
- **`zoomSchedulerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Scheduler plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomTranslatedCaptions`**
`boolean` — Zoom Translated Captions Plan.
- **`zoomTranslatedCaptionsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Translated Captions plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomUnited`**
`string`, possible values: `"1", "2", "4", "8", "16", "32", "64", "128", "256", "512", "1024", "2048", "4096", "8192", "16384", "32768", "65536", "131072"` — The user's number of Zoom United licenses. Choose a license option: \* \`1\` - Zoom United Pro-United with US/CA Unlimited. \* \`2\` - Zoom United Pro-United with UK/IR Unlimited. \* \`4\` - Zoom United Pro-United with AU/NZ Unlimited. \* \`8\` - Zoom United Pro-United with Global Select. \* \`16\` - Zoom United Pro-United with Zoom Phone Pro. \* \`32\` - Zoom United Biz-United with US/CA Unlimited. \* \`64\` - Zoom United Biz-United with UK/IR Unlimited. \* \`128\` - Zoom United Biz-United with AU/NZ Unlimited. \* \`256\` - Zoom United Biz-United with Global Select. \* \`512\` - Zoom United Biz-United with Zoom Phone Pro. \* \`1024\` - Zoom United Ent-United with US/CA Unlimited. \* \`2048\` - Zoom United Ent-United with UK/IR Unlimited. \* \`4096\` - Zoom United Ent-United with AU/NZ Unlimited. \* \`8192\` - Zoom United Ent-United with Global Select. \* \`16384\` - Zoom United Ent-United with Zoom Phone Pro. \* \`32768\` - Zoom United Pro-United with JP Unlimited. \* \`65536\` - Zoom United Biz-United with JP Unlimited. \* \`131072\` - Zoom United Ent-United with JP Unlimited.
- **`zoomWhiteboard`**
`boolean` — Zoom Whiteboard Plan.
- **`zoomWhiteboardPlus`**
`boolean` — Zoom Whiteboard Plus Plan.
- **`zoomWhiteboardSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Whiteboard and Zoom Whiteboard Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkforceManagement`**
`boolean` — Zoom Workforce Management Plan.
- **`zoomWorkforceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Workforce Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkplaceSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Workplace License. Ignore this field if your account doesn't enable the Multiple Subscription Quoting feature.
- **`userType`**
`string`, possible values: `"Collaboration", "Basic", "Licensed", "On-Prem"` — Note: You can continue using this field, but it is planned for deprecation. No timeline has been set. The user type: \* \`Collaboration\` - Not supported with Microsoft Entra due to a Microsoft-specific limitation. It functions as expected with other identity providers (e.g., Okta), and through direct API calls. \* \`Basic\` \* \`Licensed\` \* \`On-Prem\`
**Example:**
```json
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"active": true,
"name": {
"givenName": "Jill",
"familyName": "Chill"
},
"displayName": "Jill Chill",
"title": "Developer",
"locale": "San Jose",
"phoneNumbers": [
{
"type": "work",
"value": "+015550100"
}
],
"roles": [
{
"display": "Developer",
"value": "Developer",
"primary": true
}
],
"groups": [
{
"display": "Developers",
"type": "direct",
"value": "Developers"
}
],
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"department": "Development",
"organization": "Example",
"costCenter": "US01",
"employeeNumber": "123",
"manager": "thill@example.com"
},
"urn:ietf:params:scim:schemas:extension:zoom:1.0:User": {
"zoomPhoneExtNumber": "0",
"zoomPhoneNumber": "5550100",
"zoomPhoneSite": "main",
"zoomPhoneCallingPlan": "phone_calling_usca_monthly_unlimited",
"{customAttribute}": "\"Custom attribute name\" : \"custom attribute value\"",
"personalLinkName": "customLinkName",
"transferee": "transferee@example.com",
"pronouns": "They/Them/Their",
"zoomUnited": "16",
"zoomOneBizPlus": "16",
"zoomOneEdu": "576460752303423488",
"zoomOneSchoolCampusPlus": "137438953472",
"zoomOneEntPremier": "134217728",
"zoomOneEduEntPremier": "4294967296",
"zoomRevenueAccelerator": true,
"zoomCustomerManagedKey": true,
"zoomWhiteboard": true,
"zoomWhiteboardPlus": true,
"zoomTranslatedCaptions": true,
"zoomWorkforceManagement": true,
"zoomQualityManagement": true,
"zoomScheduler": true,
"zoomClipsPlus": true,
"zoomMailAndCalendar": true,
"visitorManagement": true,
"zoomComplianceManagement": true,
"zoomDocs": true,
"zoomClinicians": true,
"zoomCustomAICompanion": true,
"zoomAICompanion": true,
"zoomContactCenterPackage": "Essentials",
"zoomContactCenterAddonsPlan": "ai_expert_assist",
"zoomContactCenterRole": "Admin",
"zoomContactCenterRegion": "Main Region",
"zoomContactCenterUserTemplate": "Update Template",
"zoomRevenueAcceleratorRole": "Sales Manager",
"zoomAutoDialer": "1073741824",
"zoomFrontline": "2048",
"cxInsights": "1099511627776",
"zoomEnhancedMedia": "4503599627370496",
"zoomWorkplaceSubscription": "2025 Subscription",
"zoomPhoneCallingPlanSubscription": "2025 Subscription",
"zoomRevenueAcceleratorSubscription": "2025 Subscription",
"zoomCustomerManagedKeySubscription": "2025 Subscription",
"zoomWhiteboardSubscription": "2025 Subscription",
"zoomTranslatedCaptionsSubscription": "2025 Subscription",
"zoomWorkforceManagementSubscription": "2025 Subscription",
"zoomQualityManagementSubscription": "2025 Subscription",
"zoomSchedulerSubscription": "2025 Subscription",
"zoomClipsPlusSubscription": "2025 Subscription",
"visitorManagementSubscription": "2025 Subscription",
"zoomComplianceManagementSubscription": "2025 Subscription",
"zoomDocsSubscription": "2025 Subscription",
"zoomAutoDialerSubscription": "2025 Subscription",
"zoomAICompanionSubscription": "2025 Subscription",
"zoomRevenueAcceleratorSegment": "Sales",
"zoomRevenueAcceleratorRegion": "US"
},
"emails": [
{
"type": "work",
"value": "jchill@example.com",
"primary": true
}
]
}
```
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` User updated.
###### Content-Type: application/json
- **`active`**
`boolean` — Whether the user is active.
- **`displayName`**
`string` — The user's display name.
- **`emails`**
`array` — The user's email information.
**Items:**
- **`primary`**
`boolean` — Whether the email address is the user's primary email address.
- **`type`**
`string` — The email address label. For example, \`work\`.
- **`value`**
`string`, format: `email` — The user's email address.
- **`groups`**
`array`
**Items:**
- **`display`**
`string` — The group's display name.
- **`primary`**
`boolean` — Whether the group is the user's primary group.
- **`type`**
`string` — The group type.
- **`value`**
`string` — The group name.
- **`id`**
`string` — The user's ID.
- **`locale`**
`string` — The user's location.
- **`meta`**
`object` — The user's resource metadata.
- **`created`**
`string` — The user's creation time.
- **`lastModified`**
`string` — The user's last modification time.
- **`location`**
`string` — The resource's URI in the \`https\://api.zoom.us/scim2/Users/{userId}\` format.
- **`resourceType`**
`string` — The resource type. The value is always \`User\` for the User resource type.
- **`version`**
`string` — The resource's version number.
- **`name`**
`object` — Information about the user's name.
- **`familyName`**
`string` — The user's last name.
- **`givenName`**
`string` — The user's first name.
- **`phoneNumbers`**
`array` — A list of the user's assigned phone numbers.
**Items:**
- **`type`**
`string`, possible values: `"mobile", "office", "home", "fax", "work"` — The phone number's label: \* \`mobile\` \* \`office\` \* \`home\` \* \`fax\` \* \`work\` This value defaults to \`work\`.
- **`value`**
`string` — The phone number.
- **`roles`**
`array` — The user's \[role]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0064983) information.
**Items:**
- **`display`**
`string` — The role's display name.
- **`primary`**
`boolean` — Whether the role is the user's primary role.
- **`value`**
`string` — The role name.
- **`schemas`**
`array` — A list of schemas.
**Items:**
`string`
- **`title`**
`string` — The user's job title.
- **`urn:ietf:params:scim:schemas:extension:enterprise:2.0:User`**
`object`
- **`department`**
`string` — The user's department.
- **`organization`**
`string` — The user's organization.
- **`urn:ietf:params:scim:schemas:extension:zoom:1.0:User`**
`object`
- **`{customAttribute}`**
`string` — A custom attribute and its value. This field returns the custom attribute's name. For example, \`currentState\` and the \`California\` value.
- **`clinicalNotes`**
`boolean` — Clinical Notes.
- **`cxInsights`**
`string`, possible values: `"1099511627776"` — The plan option of CX Insights. \`1099511627776\` - CX Insights Leader.
- **`personalLinkName`**
`string` — The user's customized \[personal link]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0068443#h\_08f381ef-1e88-417c-b014-a2b9ad4abbda).
- **`pronouns`**
`string` — The user's pronouns.
- **`transferee`**
`string` — The transferee is another user within the same account designated to receive the original user's data when that user is deactivated or deleted.
- **`visitorManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Visitor Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAICompanionSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom AI Companion and Zoom Custom AI Companion plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomAutoDialer`**
`string`, possible values: `"1073741824", "-9223372036854775808", "2305843009213693952", "4611686018427387904"` — The plan option of Zoom Auto Dialer. \* \`1073741824\` - Zoom Auto Dialer Plus US/Canada. \* \`-9223372036854775808\` - Zoom Auto Dialer Plus Japan. \* \`2305843009213693952\` - Zoom Auto Dialer Plus UK/IR. \* \`4611686018427387904\` - Zoom Auto Dialer Plus AU/NZ.
- **`zoomAutoDialerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Auto Dialer plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomClinicians`**
`boolean` — Zoom Workplace for Clinicians.
- **`zoomClipsPlus`**
`boolean` — Zoom Clips Plus Plan.
- **`zoomClipsPlusSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Clips Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomComplianceManagement`**
`boolean` — Zoom Compliance Management Plan.
- **`zoomComplianceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Compliance Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomCustomAICompanion`**
`boolean` — Zoom Custom AI Companion.
- **`zoomCustomerManagedKey`**
`boolean` — Zoom Customer Managed Key Plan.
- **`zoomCustomerManagedKeySubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Customer Managed Key. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomDocs`**
`boolean` — Zoom Docs Plan.
- **`zoomDocsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Docs plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomEnhancedMedia`**
`string`, possible values: `"4503599627370496"` — The plan option of Zoom Enhanced Media. \`4503599627370496\` - Zoom Enhanced Media.
- **`zoomFrontline`**
`string`, possible values: `"2048"` — The plan option of Zoom Workplace for Frontline. \`2048\` - Zoom Workplace for Frontline.
- **`zoomHuddles`**
`boolean` — Zoom Huddles Plan.
- **`zoomIQ`**
`boolean` — Zoom IQ Plan.
- **`zoomOneBizPlus`**
`string` — Zoom One Business Plus.
- **`zoomOneEdu`**
`string` — Zoom One for Education Enterprise Student.
- **`zoomOneEduEntPremier`**
`string` — Zoom One for Education Enterprise Premier.
- **`zoomOneEntPremier`**
`string` — Zoom One Enterprise Premier.
- **`zoomOneSchoolCampusPlus`**
`string` — Zoom One for Education School and Campus Plus.
- **`zoomQualityManagement`**
`boolean` — Zoom Quality Management Plan.
- **`zoomQualityManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Quality Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomRevenueAccelerator`**
`boolean` — Zoom Revenue Accelerator Plan.
- **`zoomRevenueAcceleratorRole`**
`string` — Zoom Revenue Accelerator Role.
- **`zoomRevenueAcceleratorSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Revenue Accelerator plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomScheduler`**
`boolean` — Zoom Scheduler Plan.
- **`zoomSchedulerSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Scheduler plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomTranslatedCaptions`**
`boolean` — Zoom Translated Captions Plan.
- **`zoomTranslatedCaptionsSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Translated Captions plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomUnited`**
`string` — The user's number of \[Zoom United licenses]\(https\://zoom.us/pricing/zoom-bundles).
- **`zoomWhiteboard`**
`boolean` — Zoom Whiteboard Plan.
- **`zoomWhiteboardPlus`**
`boolean` — Zoom Whiteboard Plus Plan.
- **`zoomWhiteboardSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Whiteboard and Zoom Whiteboard Plus plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkforceManagement`**
`boolean` — Zoom Workforce Management Plan.
- **`zoomWorkforceManagementSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) ID or name for the Zoom Workforce Management plan. Ignore this field if your account doesn't include the Multiple Subscription Quoting feature.
- **`zoomWorkplaceSubscription`**
`string` — The \[subscription]\(https\://zoom.us/billing) name for the Zoom Workplace License. Ignore this field if your account doesn't enable the Multiple Subscription Quoting feature.
- **`userName`**
`string`, format: `email` — The user's email address.
- **`userType`**
`string`, possible values: `"Collaboration", "Basic", "Licensed", "On-Prem"` — Note: You can continue using this field, but it is planned for deprecation. No timeline has been set. The user type: \* \`Collaboration\` - Not supported with Microsoft Entra due to a Microsoft-specific limitation. It functions as expected with other identity providers (e.g., Okta), and through direct API calls. \* \`Basic\` \* \`Licensed\` \* \`On-Prem\`
**Example:**
```json
{
"id": "k&KdKr6TLWuxdDtk0hjSzL",
"meta": {
"resourceType": "User",
"location": "https://api.zoom.us/scim2/Users/k&KdKr6TLWuxdDtk0hjSzL",
"version": "1.0.0",
"created": "2023-11-24T05:13:15Z",
"lastModified": "2023-11-24T05:13:15Z"
},
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"name": {
"givenName": "Jill",
"familyName": "Chill"
},
"emails": [
{
"type": "work",
"value": "jchill@example.com",
"primary": true
}
],
"displayName": "Jill Chill",
"userName": "jchill@example.com",
"active": true,
"title": "Developer",
"locale": "San Jose",
"phoneNumbers": [
{
"type": "work",
"value": "+015550100"
}
],
"roles": [
{
"display": "Developer",
"value": "Developer",
"primary": true
}
],
"groups": [
{
"display": "Developers",
"type": "direct",
"value": "Developers"
}
],
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"department": "Development",
"organization": "Example"
},
"urn:ietf:params:scim:schemas:extension:zoom:1.0:User": {
"{customAttribute}": "\"Custom attribute name\" : \"custom attribute value\"",
"personalLinkName": "user001",
"transferee": "transferee@example.com",
"pronouns": "They/Them/Their",
"zoomUnited": "16",
"zoomOneBizPlus": "16",
"zoomOneEdu": "576460752303423488",
"zoomOneSchoolCampusPlus": "137438953472",
"zoomOneEntPremier": "13421772",
"zoomOneEduEntPremier": "4294967296",
"zoomRevenueAccelerator": true,
"zoomCustomerManagedKey": true,
"zoomWhiteboard": true,
"zoomWhiteboardPlus": true,
"zoomTranslatedCaptions": true,
"zoomWorkforceManagement": true,
"zoomQualityManagement": true,
"zoomScheduler": true,
"zoomClipsPlus": true,
"zoomComplianceManagement": true,
"zoomDocs": true,
"zoomClinicians": true,
"zoomCustomAICompanion": true,
"zoomRevenueAcceleratorRole": "Sales Manager",
"zoomAutoDialer": "1073741824",
"zoomFrontline": "2048",
"cxInsights": "1099511627776",
"zoomEnhancedMedia": "4503599627370496",
"zoomWorkplaceSubscription": "2025 Subscription",
"zoomRevenueAcceleratorSubscription": "2025 Subscription",
"zoomCustomerManagedKeySubscription": "2025 Subscription",
"zoomWhiteboardSubscription": "2025 Subscription",
"zoomTranslatedCaptionsSubscription": "2025 Subscription",
"zoomWorkforceManagementSubscription": "2025 Subscription",
"zoomQualityManagementSubscription": "2025 Subscription",
"zoomSchedulerSubscription": "2025 Subscription",
"zoomClipsPlusSubscription": "2025 Subscription",
"visitorManagementSubscription": "2025 Subscription",
"zoomComplianceManagementSubscription": "2025 Subscription",
"zoomDocsSubscription": "2025 Subscription",
"zoomAutoDialerSubscription": "2025 Subscription",
"zoomAICompanionSubscription": "2025 Subscription"
}
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`400\` \
Account has not enabled Single Sign-On. \
\*\*Error Code:\*\* \`400\` \
The request body must be in JSON format. \
\*\*Error Code:\*\* \`400\` \
The request JSON must not be empty. \
\*\*Error Code:\*\* \`400\` \
User is inactive or locked. \
\*\*Error Code:\*\* \`400\` \
Cannot change the email of Admin user. \
\*\*Error Code:\*\* \`400\` \
Cannot update Zoom Room user to free \
\*\*Error Code:\*\* \`400\` \
Cannot assign Zoom Whiteboard and Zoom Whiteboard Plus to a user at the same time. \
\*\*Error Code:\*\* \`400\` \
User is inactive or locked. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`403\` \
The request was denied due to insufficient permissions: "User:Edit". \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`404\` \
User does not exist. \
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict \*\*Error Code:\*\* \`409\` \
Email ''{email}'' has already been used. \
\*\*Error Code:\*\* \`409\` \
The email domain does not match the associated domain of the account, please contact Zoom Customer Support to set up if necessary. \
\*\*Error Code:\*\* \`409\` \
Cannot add paid users. \
\*\*Error Code:\*\* \`409\` \
The Zoom United Plan is invalid. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom United Plan. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace Business Plus. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace Enterprise Premier. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace for Education School and Campus Plus. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace for Education Enterprise Premier. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace for Education Enterprise Student. \
\*\*Error Code:\*\* \`409\` \
Cannot create more users with Zoom Workplace Pro Plus. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(/docs/api/rate-limits/).
### Delete a user
- **Method:** `DELETE`
- **Path:** `/scim2/Users/{userId}`
- **Tags:** User
Delete a user.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `scim2:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Responses
[...]
